Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.getpop
Class JobEntryGetPOP

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.getpop.JobEntryGetPOP

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryGetPOP

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines an get pop job entry.

Since:
  01-03-2007
Author:
  Samatar

Field Summary
`int` | `retrievemails`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryGetPOP()`
`JobEntryGetPOP(JobEntryBase jeb)`
`JobEntryGetPOP(String n)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`boolean` | `getDelete()`
`String` | `getFilenamePattern()`
`String` | `getFirstMails()`
`String` | `getOutputDirectory()`
`String` | `getPassword()`
`javax.mail.Message[]` | `getPOPMessages(javax.mail.Folder folder, int retrievemails)`
`String` | `getRealFilenamePattern()`
`String` | `getRealFirstMails()`
`String` | `getRealOutputDirectory()`
`String` | `getRealPassword()`
`String` | `getRealServername()`
`String` | `getRealSSLPort()`
`String` | `getRealUsername()`
`List<ResourceReference>` | `getResourceDependencies(JobMeta jobMeta)` Get a list of all the resource dependencies that the step is depending on.
`String` | `getServerName()`
`String` | `getSSLPort()`
`String` | `getUserName()`
`boolean` | `getUseSSL()`
`String` | `getXML()`
`static void` | `handleMultipart(String foldername, javax.mail.Multipart multipart)`
`static void` | `handlePart(String foldername, javax.mail.Part part)`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`static void` | `saveFile(String foldername, String filename, InputStream input)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setDelete(boolean delete)`
`void` | `setFilenamePattern(String filenamepattern)`
`void` | `setFirstMails(String firstmails)`
`void` | `setOutputDirectory(String outputdirectory)`
`void` | `setPassword(String password)`
`void` | `setServerName(String servername)`
`void` | `setSSLPort(String sslport)`
`void` | `setUserName(String username)`
`void` | `setUseSSL(boolean usessl)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### retrievemails

    public int retrievemails

Constructor Detail

### JobEntryGetPOP

    public JobEntryGetPOP(String n)

### JobEntryGetPOP

    public JobEntryGetPOP()

### JobEntryGetPOP

    public JobEntryGetPOP(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getSSLPort

    public String getSSLPort()

### getRealSSLPort

    public String getRealSSLPort()

### setSSLPort

    public void setSSLPort(String sslport)

### setFirstMails

    public void setFirstMails(String firstmails)

### getFirstMails

    public String getFirstMails()

### getRealFirstMails

    public String getRealFirstMails()

### setServerName

    public void setServerName(String servername)

### getServerName

    public String getServerName()

### setUserName

    public void setUserName(String username)

### getUserName

    public String getUserName()

### setOutputDirectory

    public void setOutputDirectory(String outputdirectory)

### setFilenamePattern

    public void setFilenamePattern(String filenamepattern)

### getFilenamePattern

    public String getFilenamePattern()

### getOutputDirectory

    public String getOutputDirectory()

### getRealOutputDirectory

    public String getRealOutputDirectory()

### getRealFilenamePattern

    public String getRealFilenamePattern()

### getRealUsername

    public String getRealUsername()

### getRealServername

    public String getRealServername()

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### getRealPassword

    public String getRealPassword()

### setDelete

    public void setDelete(boolean delete)

  Parameters:
    `delete` - The delete to set.

### getDelete

    public boolean getDelete()

  Returns:
    Returns the delete.

### setUseSSL

    public void setUseSSL(boolean usessl)

  Parameters:
    `usessl` - The usessl to set.

### getUseSSL

    public boolean getUseSSL()

  Returns:
    Returns the usessl.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### handleMultipart

    public static void handleMultipart(String foldername,
                                       javax.mail.Multipart multipart)
                                throws javax.mail.MessagingException,
                                       IOException

  Throws:
    `javax.mail.MessagingException`
    `IOException`

### handlePart

    public static void handlePart(String foldername,
                                  javax.mail.Part part)
                           throws javax.mail.MessagingException,
                                  IOException

  Throws:
    `javax.mail.MessagingException`
    `IOException`

### saveFile

    public static void saveFile(String foldername,
                                String filename,
                                InputStream input)
                         throws IOException

  Throws:
    `IOException`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### getPOPMessages

    public javax.mail.Message[] getPOPMessages(javax.mail.Folder folder,
                                               int retrievemails)
                                        throws Exception

  Throws:
    `Exception`

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `JobEntryInterface`
  Overrides:
    `getResourceDependencies` in class `JobEntryBase`
  Returns:
    a list of all the resource dependencies that the step is depending on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD